Author Topic: Help for lisp (writing) beginner  (Read 4754 times)

0 Members and 1 Guest are viewing this topic.

ronjonp

  • Needs a day job
  • Posts: 7527
Help for lisp (writing) beginner
« on: October 24, 2003, 01:11:10 PM »
How do I make a filtered window selection using lisp. I already hade the dxf code for what i want filtered but it does not give me the option to select entities, it just makes a selection set.

(ssget "x"'((2 . "WID_VD_1,WID_VD_1_5,WID_VD_2,WID_VD_MV")))


Thanks,

Ron

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

SMadsen

  • Guest
Help for lisp (writing) beginner
« Reply #1 on: October 24, 2003, 01:21:51 PM »
The "X" option in SSGET means "select all and then some" (look up SSGET in the help reference to see what "then some" means).

If you omit the selection method, the user is given control of how ents are selected:

(ssget '((2 . "WID_VD_1,WID_VD_1_5,WID_VD_2,WID_VD_MV")))

To force a window'ed selection you can use "W". If called without points, the user is asked where to select. If called with points you are in control and the user won't notice a thing.

ronjonp

  • Needs a day job
  • Posts: 7527
Help for lisp (writing) beginner
« Reply #2 on: October 24, 2003, 06:27:58 PM »
Thank you. Exactly what i was looking for.

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC